
package de.ivu.elect.presentation.wahl.menu;

import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.MenuEntry;
import de.ivu.elect.presentation.ui.AbstractPageMenuModelBuilder;

@Named(WahlKonfigurationPageMenu.COMPONENT_NAME)
public class WahlKonfigurationPageMenu extends AbstractPageMenuModelBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahlKonfigurationPageMenu";

  @Inject
  private transient WahlPageMenu wahlPageMenu;

  public WahlKonfigurationPageMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    return wahlPageMenu.getMenuEntriesSorted();
  }
}
